Bug 1023938 - SELinux is preventing /usr/bin/evince-thumbnailer from 'write' accesses on the file .mate_desktop_thumbnail.W8PJ5W.
SELinux is preventing /usr/bin/evince-thumbnailer from 'write' accesses on th...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c77ceb4e1f43946435597bb40c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 07:52 EDT by Brian J. Murrell
Modified: 2014-06-09 08:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 08:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2013-10-28 07:52:07 EDT
Description of problem:
SELinux is preventing /usr/bin/evince-thumbnailer from 'write' accesses on the file .mate_desktop_thumbnail.W8PJ5W.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that evince-thumbnailer should be allowed write access on the .mate_desktop_thumbnail.W8PJ5W file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep evince-thumbnai /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                .mate_desktop_thumbnail.W8PJ5W [ file ]
Source                        evince-thumbnai
Source Path                   /usr/bin/evince-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           evince-3.8.3-2.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.9.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-201.fc19.x86_64 #1 SMP Thu
                              Oct 10 14:11:18 UTC 2013 x86_64 x86_64
Alert Count                   32
First Seen                    2013-10-20 14:00:31 EDT
Last Seen                     2013-10-27 23:03:30 EDT
Local ID                      e413c709-9ad4-4a74-9a99-5d2e0dcffb39

Raw Audit Messages
type=AVC msg=audit(1382929410.818:1328): avc:  denied  { write } for  pid=24921 comm="evince-thumbnai" name=".mate_desktop_thumbnail.W8PJ5W" dev="dm-5" ino=181318 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1382929410.818:1328): arch=x86_64 syscall=open success=no exit=EACCES a0=1d04af0 a1=241 a2=1b6 a3=3 items=0 ppid=24851 pid=24921 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 ses=1 tty=(none) comm=evince-thumbnai exe=/usr/bin/evince-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: evince-thumbnai,thumb_t,user_home_t,file,write

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 838186
Comment 1 Daniel Walsh 2013-10-28 17:09:18 EDT
Could you try to run 

restorecon -R -v ~/

And see if this changes any labels?
Comment 2 Brian J. Murrell 2014-06-09 08:07:22 EDT
Since I am running F20 now and have not seen this (that I recall) let's just close this one.

Note You need to log in before you can comment on or make changes to this bug.